%define        apiver  %(echo %version | cut -d. -f 1).0
%define        libname     lib%{name}

Name:          gst-plugins-good
Version:       1.8.1
Release:       1mamba
Summary:       A set of plug-ins for gstreamer considered to have good quality code
Group:         System/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://gstreamer.freedesktop.org/modules/gst-plugins-good.html
Source:        http://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libaa-devel
BuildRequires: libavc1394-devel
BuildRequires: libbzip2-devel
BuildRequires: libcaca-devel
BuildRequires: libcairo-devel
BuildRequires: libdv-devel
BuildRequires: libflac-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgpm-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libiec61883-devel
BuildRequires: libjack-devel
BuildRequires: libjpeg-devel
BuildRequires: libogg-devel
BuildRequires: liborc-devel
BuildRequires: libpng-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libraw1394-devel
BuildRequires: libshout-devel
BuildRequires: libslang-devel
BuildRequires: libsoup-devel
BuildRequires: libspeex-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtag-devel
BuildRequires: libtheora-devel
BuildRequires: libudev-devel
BuildRequires: libv4l-devel
BuildRequires: libvorbis-devel
BuildRequires: libvpx-devel
BuildRequires: libwavpack-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libdc1394-devel >= 1.1.0
BuildRequires: libraw1394-devel >= 1.2.0
BuildRequires: valgrind-devel
BuildRequires: ladspa-devel
BuildRequires: libcheck-devel
BuildRequires: libproxy-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

#
# FIXME:
#configure: *** Plug-ins without external dependencies that will NOT be built:

#
#configure: *** Plug-ins with dependencies that will NOT be built:
#        directdrawsink
#        directsoundsink
#        ladspa
#        osxaudio
#        sunaudio

%description
GStreamer Good Plug-ins is a set of plug-ins that we consider to have good quality code, correct functionality, our preferred license (LGPL for the plug-in code, LGPL or LGPL-compatible for the supporting library). 

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GStreamer Good Plug-ins is a set of plug-ins that we consider to have good quality code, correct functionality, our preferred license (LGPL for the plug-in code, LGPL or LGPL-compatible for the supporting library).
This package contains static libraries and header files need for development.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%prep
%setup -q
# FIXME: not the most elegant workaround
sed -i "s|OpenGL/gl.h|GL/gl.h|" configure

%build
%configure \
  --enable-experimental \
  --enable-ladspa \
  --disable-osx_audio \
  --disable-osx_video \
  --disable-hal \
  --disable-esd

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang gst-plugins-good-%{apiver}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f gst-plugins-good-%{apiver}.lang
%defattr(-,root,root)
#%{_sysconfdir}/gconf/schemas/gstreamer-%{apiver}.schemas
%{_libdir}/gstreamer-%{apiver}/libgst*.so
%{_datadir}/gstreamer-%{apiver}/presets/*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
#%{_libdir}/gstreamer-%{apiver}/libgst*.a
%{_libdir}/gstreamer-%{apiver}/libgst*.la
%doc ChangeLog NEWS README

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/gst-plugins-good-plugins-%{apiver}
%{_datadir}/gtk-doc/html/gst-plugins-good-plugins-%{apiver}/*

%changelog
* Thu Apr 21 2016 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Sun Apr 17 2016 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Thu Jan 21 2016 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Wed Dec 16 2015 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Tue Nov 03 2015 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Sat Oct 10 2015 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Sun Dec 21 2014 Automatic Build System <autodist@mambasoft.it> 1.4.5-1mamba
- automatic version update by autodist

* Tue Nov 11 2014 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Fri Oct 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Tue Apr 22 2014 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Mon Feb 10 2014 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Sun Dec 29 2013 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Tue Nov 12 2013 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Thu Oct 31 2013 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Sat Aug 31 2013 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic update by autodist

* Fri Jun 14 2013 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Fri Apr 26 2013 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic version update by autodist

* Tue Mar 26 2013 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic version update by autodist

* Tue Jan 08 2013 Automatic Build System <autodist@mambasoft.it> 1.0.5-1mamba
- automatic version update by autodist

* Wed Dec 19 2012 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Sat Nov 24 2012 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Wed Nov 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-2mamba
- rebuilt with libvpx (updated to 1.1.0) support required by e.g. cheese

* Thu Oct 25 2012 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Sun Oct 07 2012 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Sat Sep 29 2012 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- update to 1.0.0

* Fri Mar 16 2012 Automatic Build System <autodist@mambasoft.it> 0.10.31-1mamba
- automatic version update by autodist

* Tue Oct 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.30-3mamba
- moved big Changelog and other doc files to devel package

* Sun Sep 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.30-2mamba
- rebuilt without hal support

* Thu Jun 16 2011 Automatic Build System <autodist@mambasoft.it> 0.10.30-1mamba
- automatic update by autodist

* Sat May 14 2011 Automatic Build System <autodist@mambasoft.it> 0.10.29-1mamba
- automatic update by autodist

* Tue Mar 08 2011 Automatic Build System <autodist@mambasoft.it> 0.10.28-1mamba
- automatic update by autodist

* Thu Jan 27 2011 Automatic Build System <autodist@mambasoft.it> 0.10.27-1mamba
- automatic update by autodist

* Tue Dec 07 2010 Automatic Build System <autodist@mambasoft.it> 0.10.26-1mamba
- automatic update to 0.10.26 by autodist

* Fri Sep 03 2010 Automatic Build System <autodist@mambasoft.it> 0.10.25-1mamba
- automatic update to 0.10.25 by autodist

* Tue Jul 27 2010 Automatic Build System <autodist@mambasoft.it> 0.10.24-1mamba
- automatic update to 0.10.24 by autodist

* Thu Jun 03 2010 Automatic Build System <autodist@mambasoft.it> 0.10.23-1mamba
- automatic update to 0.10.23 by autodist

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 0.10.17-1mamba
- automatic update by autodist

* Tue Sep 01 2009 Automatic Build System <autodist@mambasoft.it> 0.10.16-1mamba
- automatic update by autodist

* Wed Jun 24 2009 Automatic Build System <autodist@mambasoft.it> 0.10.15-2mamba
- automatic rebuild by autodist

* Mon Jun 01 2009 Automatic Build System <autodist@mambasoft.it> 0.10.15-1mamba
- automatic update by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 0.10.14-3mamba
- automatic rebuild by autodist

* Tue Mar 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.14-2mamba
- ... add a changelog entry

* Tue Mar 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.14-1mamba
- automatic update by autodist

* Wed Jan 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.11-2mamba
- automatic rebuild by autodist

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.11-1mamba
- automatic update by autodist

* Fri Aug 29 2008 gil <puntogil@libero.it> 0.10.9-1mamba
- update to 0.10.9
- new buildrequires: libwavpack-devel; libcheck-devel (http://bugs.gentoo.org/show_bug.cgi?ctype=xml&id=211933)

* Wed Jul 09 2008 gil <puntogil@libero.it> 0.10.8-1mamba
- update to 0.10.8

* Fri Apr 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.7-1mamba
- update to 0.10.7

* Tue Nov 13 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.6-1mamba
- update to 0.10.6

* Fri Jan 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.5-1qilnx
- update to version 0.10.5 by autospec

* Tue Jul 25 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.3-1qilnx
- package created by autospec
SENDREPOSITORY=devel